Name:                java-uuid-generator
Version:             3.1.4
Release:             2
Epoch:               0
Summary:             A pure Java UUID Generator
License:             ASL 2.0
Url:                 https://github.com/cowtowncoder/java-uuid-generator
Source0:             https://github.com/cowtowncoder/java-uuid-generator/archive/java-uuid-generator-%{version}.tar.gz
BuildRequires:       maven-local mvn(com.fasterxml:oss-parent:pom:) mvn(junit:junit)
BuildRequires:       mvn(log4j:log4j:1.2.13) mvn(org.apache.felix:maven-bundle-plugin)
BuildArch:           noarch
%description
JUG is a pure java UUID generator, that can be used either
as a component in a bigger application, or as a standalone
command line tool (a la 'uuidgen').
JUG generates UUIDs according to the IETF UUID draft
specification (and further clarified in UUID URN name space
IETF draft ) 8211; all 3 'official' types defined by the
draft 8211 are supported.

%package javadoc
Summary:             API documentation for %{name}
%description javadoc
This package contains the %{summary}.

%prep
%setup -q -n java-uuid-generator-java-uuid-generator-%{version}
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

%build
%mvn_build

%install
%mvn_install
pushd release-notes
iconv -f latin1 -t utf8 CREDITS > CREDITS.utf8
mv -f CREDITS.utf8 CREDITS
popd

%files -f .mfiles
%license release-notes/asl/{ASL2.0,LICENSE}
%doc release-notes/{CREDITS,FAQ,USAGE,VERSION} README.md

%files javadoc -f .mfiles-javadoc
%license release-notes/asl/{ASL2.0,LICENSE}

%changelog
* Mon Feb 14 2022 wangkai <wangkai385@huawei.com> - 3.1.4-2
- Rebuild for fix log4j1.x cves

* Thu Apr 29 2021 huanghaitao <huanghaitao8@huawei.com> - 3.1.4-1
- package init
